/***********************************************************************************/
/**	\file				CIObjekt.cpp
**	\brief				Implementation zur Klasse CIObjekt
*************************************************************************************
**	Autor:				Christian Roesch
**
**	Erstelldatum:		??.??.2002
**	letzte Aenderung:	??.??.2002
*************************************************************************************
**	-tut nichts-
**
************************************************************************************/


// includes
#include "CIObjekt.h"

// Methoden-Definitionen

void CIObjekt::GetColor( float fDist, DRGBColor& rgbColor )
{
    int iFactor= int ( 65536.0f / ( 1.0f + m_fFallOff * fDist ));
    rgbColor.m_iRed= ( m_rgbColor.m_iRed * iFactor ) >> 16;
    rgbColor.m_iGreen= ( m_rgbColor.m_iGreen * iFactor ) >> 16;
    rgbColor.m_iBlue= ( m_rgbColor.m_iBlue * iFactor ) >> 16;
}

void CIObjekt::SetColor( int siRed,
               int siGreen,
               int siBlue )
{
    m_rgbColor.m_iRed= siRed;
    m_rgbColor.m_iGreen= siGreen;
    m_rgbColor.m_iBlue= siBlue;
}

void CIObjekt::SetFallOff( float fFallOff )
{
    m_fFallOff= fFallOff;
}

/************************************************************************************
**	Ende der Datei:		CIObjekt.cpp
************************************************************************************/

