/***********************************************************************************/
/**	\file				CIObjekt.h
**	\brief				Header File zur Klasse CIObjekt
*************************************************************************************
**	Autor:				Christian Roesch
**
**	Erstelldatum:		??.??.2002
**	letzte Aenderung:	??.??.2002
*************************************************************************************
**	_tut nichts_
**
************************************************************************************/

#ifndef _CIObjekt_H
#define _CIObjekt_H

// includes
#include "DRay.h"
#include "DRGBColor.h"

// Klassen-Deklaration

/***********************************************************************************/
/** \brief	CIObjekt _tut nichts_
*************************************************************************************
**	Genau genommen _tut dies nichts_
**
************************************************************************************/

class CIObjekt
{
public:
    virtual bool Intersect( DRay* pRay,
                            float& fDist )= 0;

    //virtual float fMaxDist(

    virtual bool Visible ( DVektor& mid,
                           float fRadius,
                           DVektor& norm1,
                           DVektor& norm2);

    void GetColor( float fDist, DRGBColor& rgbColor );
    void SetColor( int siRed,
                   int siGreen,
                   int siBlue );
    void SetFallOff( float fFallOff );

protected:

private:
    DRGBColor m_rgbColor;
    float m_fFallOff;
};

#endif//_CIObjekt_H

class	CIObjekt;


/************************************************************************************
**	Ende der Datei:		CIObjekt.h
************************************************************************************/

