/***********************************************************************************/
/**	\file				CObjektList.h
**	\brief				Header File zur Klasse CObjektList
*************************************************************************************
**	Autor:				Christian Roesch
**
**	Erstelldatum:		??.??.2002
**	letzte Aenderung:	??.??.2002
*************************************************************************************
**	_tut nichts_
**
************************************************************************************/

#ifndef _CObjektList_H
#define _CObjektList_H

// includes
#include <vector>

#include "CIObjekt.h"

// Klassen-Deklaration

/***********************************************************************************/
/** \brief	CObjektList _tut nichts_
*************************************************************************************
**	Genau genommen _tut dies nichts_
**
************************************************************************************/

class CObjektList
{
public:
    CObjektList();

    void Destroy();
    void Clear();

    void AddObjekt( CIObjekt* pcioNew );
    CIObjekt* GetObjekt( int ID ) { return m_pobjList[ID]; }
    int GetNrOf(){ return m_pobjList.size(); }

protected:

private:
    std::vector <CIObjekt*> m_pobjList;
};

#endif//_CObjektList_H

class	CObjektList;


/************************************************************************************
**	Ende der Datei:		CObjektList.h
************************************************************************************/

