/***********************************************************************************/
/**	\file				CRender.h
**	\brief				Header File zur Klasse CRender
*************************************************************************************
**	Autor:				Christian Roesch
**
**	Erstelldatum:		??.??.2002
**	letzte Aenderung:	??.??.2002
*************************************************************************************
**	_tut nichts_
**
************************************************************************************/

#ifndef _CRender_H
#define _CRender_H

// includes
#include "CObjektList.h"
#include "CRenderTarget.h"
#include "DVektor.h"

const int c_siNrOfSectors= 16;
const int c_siColorShift= 4;
const int c_siNrOfRands= 31;

// Klassen-Deklaration

/***********************************************************************************/
/** \brief	CRender _tut nichts_
*************************************************************************************
**	Genau genommen _tut dies nichts_
**
************************************************************************************/

class CRender
{
public:
    CRender( CRenderTarget& rt );
    ~CRender();

    void Render( CObjektList& ol,
                 DVektor& mid,
                 DVektor& mat1,
                 DVektor& mat2,
                 float fSize );

protected:

private:
    float m_fDirX[ c_siNrOfSectors * ( c_siNrOfRands + 1 ) ];
    float m_fDirY[ c_siNrOfSectors * ( c_siNrOfRands + 1 ) ];

    CRenderTarget& m_rt;
    CObjektList*   m_pol;

    float m_fPixelPerTile;
    int m_siTileShift;
    int m_siNrOfTileX;
    int m_siNrOfTileY;
};

#endif//_CRender_H

class	CRender;


/************************************************************************************
**	Ende der Datei:		CRender.h
************************************************************************************/
