/***********************************************************************************/
/**	\file				TPlate.h
**	\brief				Header File zur Klasse TPlate
*************************************************************************************
**	Autor:				Christian Roesch
**
**	Erstelldatum:		??.??.2002
**	letzte Aenderung:	??.??.2002
*************************************************************************************
**	_tut nichts_
**
************************************************************************************/

#ifndef _CRenderTarget_H
#define _CRenderTarget_H

// includes
#include <windows.h>

// Klassen-Deklaration

union DWCOLOR
{
    DWORD dwValue;
    struct
    {
        unsigned char ucRed;
        unsigned char ucGreen;
        unsigned char ucBlue;
        unsigned char ucAlpha;
    };
};

/***********************************************************************************/
/** \brief	CRenderTarget _tut nichts_
*************************************************************************************
**	Genau genommen _tut dies nichts_
**
************************************************************************************/

class CRenderTarget
{
public:
    CRenderTarget( int siWidth= 320, int siHeight= 240, float fRatio= 1.0f );
    ~CRenderTarget();

    int GetHeight();
    int GetWidth();
    float GetRatio();

    DWCOLOR* GetTargetPointer( void ) { return (DWCOLOR*)m_pdwTarget; }

protected:

private:
   DWORD* m_pdwTarget;

   int m_siHeight;
   int m_siWidth;

   float m_fRatio;
};

#endif//_CRenderTarget_H

class	CRenderTarget;
union  DWCOLOR;

/************************************************************************************
**	Ende der Datei:		CRenderTarget.h
************************************************************************************/
