/***********************************************************************************/
/**	\file				CCircle.h
**	\brief				Header File zur Klasse CCircle
*************************************************************************************
**	Autor:				Christian Roesch
**
**	Erstelldatum:		??.??.2002
**	letzte Aenderung:	??.??.2002
*************************************************************************************
**	_tut nichts_
**
************************************************************************************/

#ifndef _CCircle_H
#define _CCircle_H

// includes
#include "CIObjekt.h"
#include "DVektor.h"

// Klassen-Deklaration

/***********************************************************************************/
/** \brief	CCircle _tut nichts_
*************************************************************************************
**	Genau genommen _tut dies nichts_
**
************************************************************************************/

class CCircle : public CIObjekt
{
public:
    virtual bool Intersect( DRay* pRay,
                            float& fDist );

    virtual bool Visible ( DVektor& mid,
                           float fRadius,
                           DVektor& norm1,
                           DVektor& norm2);

    void SetParams( float fRadius,
                    float fPosX,
                    float fPosY );

protected:

private:
    float m_fRadius;
    float m_fSqrRadius;

    DVektor m_vecMid;
};

#endif//_CCircle_H

class	CCircle;


/************************************************************************************
**	Ende der Datei:		CCircle.h
************************************************************************************/

