/***********************************************************************************/
/**	\file				CLine.h
**	\brief				Header File zur Klasse CLine
*************************************************************************************
**	Autor:				Christian Roesch
**
**	Erstelldatum:		??.??.2002
**	letzte Aenderung:	??.??.2002
*************************************************************************************
**	_tut nichts_
**
************************************************************************************/

#ifndef _CLine_H
#define _CLine_H

// includes
#include "CIObjekt.h"
#include "DVektor.h"

// Klassen-Deklaration

/***********************************************************************************/
/** \brief	CLine _tut nichts_
*************************************************************************************
**	Genau genommen _tut dies nichts_
**
************************************************************************************/

class CLine : public CIObjekt
{
public:
    virtual bool Intersect( DRay* pRay,
                            float& fDist );

    virtual bool Visible ( DVektor& mid,
                           float fRadius,
                           DVektor& norm1,
                           DVektor& norm2);

    void SetStart( float fPosX,
                   float fPosY );
    void SetEnd( float fPosX,
                 float fPosY );
    void SetDir( float fDirX,
                 float fDirY );

protected:

private:
    DVektor m_vecStart;
    DVektor m_vecDir;
};

#endif//_CLine_H

class	CLine;


/************************************************************************************
**	Ende der Datei:		CLine.h
************************************************************************************/
