/***********************************************************************************/
/**	\file				CObjektList.cpp
**	\brief				Implementation zur Klasse CObjektList
*************************************************************************************
**	Autor:				Christian Roesch
**
**	Erstelldatum:		??.??.2002
**	letzte Aenderung:	??.??.2002
*************************************************************************************
**	-tut nichts-
**
************************************************************************************/


// includes
#include "CObjektList.h"

// Methoden-Definitionen

CObjektList::CObjektList()
{
    m_pobjList.reserve(16);
}

void CObjektList::Destroy()
{
    while ( GetNrOf() > 0 )
    {
        delete[] m_pobjList.back();
        m_pobjList.pop_back();
    }
}

void CObjektList::Clear()
{
    m_pobjList.clear();
}

void CObjektList::AddObjekt( CIObjekt* pcioNew )
{
    m_pobjList.push_back( pcioNew );
}

/************************************************************************************
**	Ende der Datei:		CObjektList.cpp
************************************************************************************/

