/***********************************************************************************/
/**	\file				CRenderTarget.cpp
**	\brief				Implementation zur Klasse CRenderTarget
*************************************************************************************
**	Autor:				Christian Roesch
**
**	Erstelldatum:		??.??.2002
**	letzte Aenderung:	??.??.2002
*************************************************************************************
**	-tut nichts-
**
************************************************************************************/

// includes
#include "CRenderTarget.h"

// Methoden-Definitionen


CRenderTarget::CRenderTarget( int siWidth, int siHeight, float fRatio )
:
m_siWidth( siWidth ),
m_siHeight( siHeight ),
m_fRatio( fRatio )
{
    m_pdwTarget= new DWORD[ m_siWidth * m_siHeight];
}

CRenderTarget::~CRenderTarget()
{
   delete[] m_pdwTarget;
}

int CRenderTarget::GetHeight()
{
    return m_siHeight;
}

int CRenderTarget::GetWidth()
{
    return m_siWidth;
}


float CRenderTarget::GetRatio()
{
    return m_fRatio;
}

/************************************************************************************
**	Ende der Datei:		CRenderTarget.cpp
************************************************************************************/

